Package com.verisign.epp.codec.gen

## Interface EPPMessage

- All Superinterfaces:
    `java.lang.Cloneable`, `EPPCodecComponent`, `java.io.Serializable`
  All Known Implementing Classes:
    `EPPBalanceInfoCmd`, `EPPBalanceInfoResp`, `EPPCheckCmd`, `EPPCommand`, `EPPContactCheckCmd`, `EPPContactCheckResp`, `EPPContactCreateCmd`, `EPPContactCreateResp`, `EPPContactDeleteCmd`, `EPPContactInfoCmd`, `EPPContactInfoResp`, `EPPContactPendActionMsg`, `EPPContactTransferCmd`, `EPPContactTransferResp`, `EPPContactUpdateCmd`, `EPPCreateCmd`, `EPPDefRegCheckCmd`, `EPPDefRegCheckResp`, `EPPDefRegCreateCmd`, `EPPDefRegCreateResp`, `EPPDefRegDeleteCmd`, `EPPDefRegInfoCmd`, `EPPDefRegInfoResp`, `EPPDefRegRenewCmd`, `EPPDefRegRenewResp`, `EPPDefRegTransferCmd`, `EPPDefRegTransferResp`, `EPPDefRegUpdateCmd`, `EPPDeleteCmd`, `EPPDomainCheckCmd`, `EPPDomainCheckResp`, `EPPDomainCreateCmd`, `EPPDomainCreateResp`, `EPPDomainDeleteCmd`, `EPPDomainInfoCmd`, `EPPDomainInfoResp`, `EPPDomainPendActionMsg`, `EPPDomainRenewCmd`, `EPPDomainRenewResp`, `EPPDomainTransferCmd`, `EPPDomainTransferResp`, `EPPDomainUpdateCmd`, `EPPEmailFwdCheckCmd`, `EPPEmailFwdCheckResp`, `EPPEmailFwdCreateCmd`, `EPPEmailFwdCreateResp`, `EPPEmailFwdDeleteCmd`, `EPPEmailFwdInfoCmd`, `EPPEmailFwdInfoResp`, `EPPEmailFwdPendActionMsg`, `EPPEmailFwdRenewCmd`, `EPPEmailFwdRenewResp`, `EPPEmailFwdTransferCmd`, `EPPEmailFwdTransferResp`, `EPPEmailFwdUpdateCmd`, `EPPGreeting`, `EPPHello`, `EPPHostCheckCmd`, `EPPHostCheckResp`, `EPPHostCreateCmd`, `EPPHostCreateResp`, `EPPHostDeleteCmd`, `EPPHostInfoCmd`, `EPPHostInfoResp`, `EPPHostPendActionMsg`, `EPPHostUpdateCmd`, `EPPIdnTableCheckCmd`, `EPPIdnTableCheckResp`, `EPPIdnTableInfoCmd`, `EPPIdnTableInfoResp`, `EPPInfoCmd`, `EPPLoginCmd`, `EPPLogoutCmd`, `EPPLowBalancePollResponse`, `EPPMaintenanceInfoCmd`, `EPPMaintenanceInfoResp`, `EPPNameVerificationCheckCmd`, `EPPNameVerificationCheckResp`, `EPPNameVerificationCreateCmd`, `EPPNameVerificationCreateResp`, `EPPNameVerificationInfoCmd`, `EPPNameVerificationInfoResp`, `EPPNameVerificationPendActionMsg`, `EPPNameVerificationUpdateCmd`, `EPPNameWatchCreateCmd`, `EPPNameWatchCreateResp`, `EPPNameWatchDeleteCmd`, `EPPNameWatchInfoCmd`, `EPPNameWatchInfoResp`, `EPPNameWatchRenewCmd`, `EPPNameWatchRenewResp`, `EPPNameWatchTransferCmd`, `EPPNameWatchTransferResp`, `EPPNameWatchUpdateCmd`, `EPPOrgCheckCmd`, `EPPOrgCheckResp`, `EPPOrgCreateCmd`, `EPPOrgCreateResp`, `EPPOrgDeleteCmd`, `EPPOrgInfoCmd`, `EPPOrgInfoResp`, `EPPOrgPendActionMsg`, `EPPOrgUpdateCmd`, `EPPPollCmd`, `EPPProtocolExtension`, `EPPRegistryCheckCmd`, `EPPRegistryCheckCmd`, `EPPRegistryCheckResp`, `EPPRegistryCheckResp`, `EPPRegistryCreateCmd`, `EPPRegistryCreateCmd`, `EPPRegistryCreateResp`, `EPPRegistryCreateResp`, `EPPRegistryDeleteCmd`, `EPPRegistryDeleteCmd`, `EPPRegistryInfoCmd`, `EPPRegistryInfoCmd`, `EPPRegistryInfoResp`, `EPPRegistryInfoResp`, `EPPRegistryUpdateCmd`, `EPPRegistryUpdateCmd`, `EPPRegistryUpdateResp`, `EPPRenewCmd`, `EPPResponse`, `EPPRgpPollResponse`, `EPPTransferCmd`, `EPPUpdateCmd`, `EPPValidateCheckCmd`, `EPPValidateCheckResp`

      public interface EPPMessage
      extends EPPCodecComponent

  Represents an EPP object that can be sent or received by an EPP Client or EPP Server. There are three concrete `EPPMessage` classes, which include:
  - `EPPCommand` - EPP Command encoded by client and decoded by server
  - `EPPResponse` - EPP Response encoded by server and decoded by client
  - `EPPGreeting` - EPP Greeting encoded by server and decoded by client
  An `EPPMessage` can be encoded and decoded by `EPPCodec` using the `EPPMessage.encode(Document)` and `EPPMessage.decode(Document)` methods. An `EPPMessage` is also `Serializable` and is associated with an EPP XML namespace. For example, the EPP XML namespace associated with the general `EPPMessages` is "urn:iana:xmlns:epp".
  See Also:
    `EPPCodec`, `EPPGreeting`, `EPPCommand`, `EPPResponse`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getNamespace()` | Gets the EPP Namespace URI associated with the `EPPMessage`.

    - ### Methods inherited from interface com.verisign.epp.codec.gen.EPPCodecComponent

      `clone, decode, encode`

- - ### Method Detail

    - #### getNamespace

          java.lang.String getNamespace()

      Gets the EPP Namespace URI associated with the `EPPMessage`. This will be either one of the following:
      - EPP namespace - `EPPCodec.NS`
      - EPP Command Mapping namespace - `mappingMapFactory.NS`
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        Namespace URI associated with the EPPMessage.